
package gov.nasa.gsfc.spdf.ssc.client;

import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlSchemaType;
import jakarta.xml.bind.annotation.XmlType;


/**
 * <p>Java class for bFieldModelOptions complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>{@code
 * <complexType name="bFieldModelOptions">
 *   <complexContent>
 *     <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       <sequence>
 *         <element name="externalModel" type="{http://ssc.spdf.gsfc.nasa.gov/}bFieldModelParameters" minOccurs="0"/>
 *         <element name="fieldLinesStopAltitude" type="{http://www.w3.org/2001/XMLSchema}double"/>
 *         <element name="internalModel" type="{http://ssc.spdf.gsfc.nasa.gov/}internalBFieldModel" minOccurs="0"/>
 *       </sequence>
 *     </restriction>
 *   </complexContent>
 * </complexType>
 * }</pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "bFieldModelOptions", propOrder = {
    "externalModel",
    "fieldLinesStopAltitude",
    "internalModel"
})
public class BFieldModelOptions {

    protected BFieldModelParameters externalModel;
    protected double fieldLinesStopAltitude;
    @XmlSchemaType(name = "string")
    protected InternalBFieldModel internalModel;

    /**
     * Gets the value of the externalModel property.
     * 
     * @return
     *     possible object is
     *     {@link BFieldModelParameters }
     *     
     */
    public BFieldModelParameters getExternalModel() {
        return externalModel;
    }

    /**
     * Sets the value of the externalModel property.
     * 
     * @param value
     *     allowed object is
     *     {@link BFieldModelParameters }
     *     
     */
    public void setExternalModel(BFieldModelParameters value) {
        this.externalModel = value;
    }

    /**
     * Gets the value of the fieldLinesStopAltitude property.
     * 
     */
    public double getFieldLinesStopAltitude() {
        return fieldLinesStopAltitude;
    }

    /**
     * Sets the value of the fieldLinesStopAltitude property.
     * 
     */
    public void setFieldLinesStopAltitude(double value) {
        this.fieldLinesStopAltitude = value;
    }

    /**
     * Gets the value of the internalModel property.
     * 
     * @return
     *     possible object is
     *     {@link InternalBFieldModel }
     *     
     */
    public InternalBFieldModel getInternalModel() {
        return internalModel;
    }

    /**
     * Sets the value of the internalModel property.
     * 
     * @param value
     *     allowed object is
     *     {@link InternalBFieldModel }
     *     
     */
    public void setInternalModel(InternalBFieldModel value) {
        this.internalModel = value;
    }

}
