
package gov.nasa.gsfc.spdf.ssc.client;

import jakarta.xml.bind.annotation.XmlEnum;
import jakarta.xml.bind.annotation.XmlType;


/**
 * <p>Java class for coordinateComponent.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * <pre>{@code
 * <simpleType name="coordinateComponent">
 *   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
 *     <enumeration value="X"/>
 *     <enumeration value="Y"/>
 *     <enumeration value="Z"/>
 *     <enumeration value="LAT"/>
 *     <enumeration value="LON"/>
 *     <enumeration value="LOCAL_TIME"/>
 *   </restriction>
 * </simpleType>
 * }</pre>
 * 
 */
@XmlType(name = "coordinateComponent")
@XmlEnum
public enum CoordinateComponent {

    X,
    Y,
    Z,
    LAT,
    LON,
    LOCAL_TIME;

    public String value() {
        return name();
    }

    public static CoordinateComponent fromValue(String v) {
        return valueOf(v);
    }

}
