
package gov.nasa.gsfc.spdf.ssc.client;

import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlSchemaType;
import jakarta.xml.bind.annotation.XmlSeeAlso;
import jakarta.xml.bind.annotation.XmlType;


/**
 * <p>Java class for coordinateOptions complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>{@code
 * <complexType name="coordinateOptions">
 *   <complexContent>
 *     <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       <sequence>
 *         <element name="component" type="{http://ssc.spdf.gsfc.nasa.gov/}coordinateComponent" minOccurs="0"/>
 *         <element name="coordinateSystem" type="{http://ssc.spdf.gsfc.nasa.gov/}coordinateSystem" minOccurs="0"/>
 *       </sequence>
 *     </restriction>
 *   </complexContent>
 * </complexType>
 * }</pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "coordinateOptions", propOrder = {
    "component",
    "coordinateSystem"
})
@XmlSeeAlso({
    FilteredCoordinateOptions.class
})
public class CoordinateOptions {

    @XmlSchemaType(name = "string")
    protected CoordinateComponent component;
    @XmlSchemaType(name = "string")
    protected CoordinateSystem coordinateSystem;

    /**
     * Gets the value of the component property.
     * 
     * @return
     *     possible object is
     *     {@link CoordinateComponent }
     *     
     */
    public CoordinateComponent getComponent() {
        return component;
    }

    /**
     * Sets the value of the component property.
     * 
     * @param value
     *     allowed object is
     *     {@link CoordinateComponent }
     *     
     */
    public void setComponent(CoordinateComponent value) {
        this.component = value;
    }

    /**
     * Gets the value of the coordinateSystem property.
     * 
     * @return
     *     possible object is
     *     {@link CoordinateSystem }
     *     
     */
    public CoordinateSystem getCoordinateSystem() {
        return coordinateSystem;
    }

    /**
     * Sets the value of the coordinateSystem property.
     * 
     * @param value
     *     allowed object is
     *     {@link CoordinateSystem }
     *     
     */
    public void setCoordinateSystem(CoordinateSystem value) {
        this.coordinateSystem = value;
    }

}
