
package gov.nasa.gsfc.spdf.ssc.client;

import jakarta.xml.bind.annotation.XmlEnum;
import jakarta.xml.bind.annotation.XmlType;


/**
 * <p>Java class for dateFormat.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * <pre>{@code
 * <simpleType name="dateFormat">
 *   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
 *     <enumeration value="YYYY_DDD"/>
 *     <enumeration value="YY_MM_DD"/>
 *     <enumeration value="YY_MMM_DD"/>
 *     <enumeration value="YY_MMM_DD_2"/>
 *   </restriction>
 * </simpleType>
 * }</pre>
 * 
 */
@XmlType(name = "dateFormat")
@XmlEnum
public enum DateFormat {

    YYYY_DDD,
    YY_MM_DD,
    YY_MMM_DD,
    YY_MMM_DD_2;

    public String value() {
        return name();
    }

    public static DateFormat fromValue(String v) {
        return valueOf(v);
    }

}
