
package gov.nasa.gsfc.spdf.ssc.client;

import jakarta.xml.bind.annotation.XmlEnum;
import jakarta.xml.bind.annotation.XmlType;


/**
 * <p>Java class for degreeFormat.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * <pre>{@code
 * <simpleType name="degreeFormat">
 *   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
 *     <enumeration value="DECIMAL"/>
 *     <enumeration value="MINUTES"/>
 *     <enumeration value="MINUTES_SECONDS"/>
 *   </restriction>
 * </simpleType>
 * }</pre>
 * 
 */
@XmlType(name = "degreeFormat")
@XmlEnum
public enum DegreeFormat {

    DECIMAL,
    MINUTES,
    MINUTES_SECONDS;

    public String value() {
        return name();
    }

    public static DegreeFormat fromValue(String v) {
        return valueOf(v);
    }

}
