
package gov.nasa.gsfc.spdf.ssc.client;

import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlType;


/**
 * <p>Java class for filteredCoordinateOptions complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>{@code
 * <complexType name="filteredCoordinateOptions">
 *   <complexContent>
 *     <extension base="{http://ssc.spdf.gsfc.nasa.gov/}coordinateOptions">
 *       <sequence>
 *         <element name="filter" type="{http://ssc.spdf.gsfc.nasa.gov/}locationFilter" minOccurs="0"/>
 *       </sequence>
 *     </extension>
 *   </complexContent>
 * </complexType>
 * }</pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "filteredCoordinateOptions", propOrder = {
    "filter"
})
public class FilteredCoordinateOptions
    extends CoordinateOptions
{

    protected LocationFilter filter;

    /**
     * Gets the value of the filter property.
     * 
     * @return
     *     possible object is
     *     {@link LocationFilter }
     *     
     */
    public LocationFilter getFilter() {
        return filter;
    }

    /**
     * Sets the value of the filter property.
     * 
     * @param value
     *     allowed object is
     *     {@link LocationFilter }
     *     
     */
    public void setFilter(LocationFilter value) {
        this.filter = value;
    }

}
