
package gov.nasa.gsfc.spdf.ssc.client;

import jakarta.xml.bind.annotation.XmlEnum;
import jakarta.xml.bind.annotation.XmlType;


/**
 * <p>Java class for footpointRegion.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * <pre>{@code
 * <simpleType name="footpointRegion">
 *   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
 *     <enumeration value="NOT_APPLICABLE"/>
 *     <enumeration value="NORTH_CUSP"/>
 *     <enumeration value="SOUTH_CUSP"/>
 *     <enumeration value="NORTH_CLEFT"/>
 *     <enumeration value="SOUTH_CLEFT"/>
 *     <enumeration value="NORTH_AURORAL_OVAL"/>
 *     <enumeration value="SOUTH_AURORAL_OVAL"/>
 *     <enumeration value="NORTH_POLAR_CAP"/>
 *     <enumeration value="SOUTH_POLAR_CAP"/>
 *     <enumeration value="NORTH_MID_LATITUDE"/>
 *     <enumeration value="SOUTH_MID_LATITUDE"/>
 *     <enumeration value="LOW_LATITUDE"/>
 *   </restriction>
 * </simpleType>
 * }</pre>
 * 
 */
@XmlType(name = "footpointRegion")
@XmlEnum
public enum FootpointRegion {

    NOT_APPLICABLE,
    NORTH_CUSP,
    SOUTH_CUSP,
    NORTH_CLEFT,
    SOUTH_CLEFT,
    NORTH_AURORAL_OVAL,
    SOUTH_AURORAL_OVAL,
    NORTH_POLAR_CAP,
    SOUTH_POLAR_CAP,
    NORTH_MID_LATITUDE,
    SOUTH_MID_LATITUDE,
    LOW_LATITUDE;

    public String value() {
        return name();
    }

    public static FootpointRegion fromValue(String v) {
        return valueOf(v);
    }

}
