
package gov.nasa.gsfc.spdf.ssc.client;

import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlType;


/**
 * <p>Java class for graphRequest complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>{@code
 * <complexType name="graphRequest">
 *   <complexContent>
 *     <extension base="{http://ssc.spdf.gsfc.nasa.gov/}request">
 *       <sequence>
 *         <element name="mapProjectionOptions" type="{http://ssc.spdf.gsfc.nasa.gov/}mapProjectionGraphOptions" minOccurs="0"/>
 *         <element name="orbitOptions" type="{http://ssc.spdf.gsfc.nasa.gov/}orbitGraphOptions" minOccurs="0"/>
 *         <element name="timeSeriesOptions" type="{http://ssc.spdf.gsfc.nasa.gov/}timeSeriesGraphOptions" minOccurs="0"/>
 *       </sequence>
 *     </extension>
 *   </complexContent>
 * </complexType>
 * }</pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "graphRequest", propOrder = {
    "mapProjectionOptions",
    "orbitOptions",
    "timeSeriesOptions"
})
public class GraphRequest
    extends Request
{

    protected MapProjectionGraphOptions mapProjectionOptions;
    protected OrbitGraphOptions orbitOptions;
    protected TimeSeriesGraphOptions timeSeriesOptions;

    /**
     * Gets the value of the mapProjectionOptions property.
     * 
     * @return
     *     possible object is
     *     {@link MapProjectionGraphOptions }
     *     
     */
    public MapProjectionGraphOptions getMapProjectionOptions() {
        return mapProjectionOptions;
    }

    /**
     * Sets the value of the mapProjectionOptions property.
     * 
     * @param value
     *     allowed object is
     *     {@link MapProjectionGraphOptions }
     *     
     */
    public void setMapProjectionOptions(MapProjectionGraphOptions value) {
        this.mapProjectionOptions = value;
    }

    /**
     * Gets the value of the orbitOptions property.
     * 
     * @return
     *     possible object is
     *     {@link OrbitGraphOptions }
     *     
     */
    public OrbitGraphOptions getOrbitOptions() {
        return orbitOptions;
    }

    /**
     * Sets the value of the orbitOptions property.
     * 
     * @param value
     *     allowed object is
     *     {@link OrbitGraphOptions }
     *     
     */
    public void setOrbitOptions(OrbitGraphOptions value) {
        this.orbitOptions = value;
    }

    /**
     * Gets the value of the timeSeriesOptions property.
     * 
     * @return
     *     possible object is
     *     {@link TimeSeriesGraphOptions }
     *     
     */
    public TimeSeriesGraphOptions getTimeSeriesOptions() {
        return timeSeriesOptions;
    }

    /**
     * Sets the value of the timeSeriesOptions property.
     * 
     * @param value
     *     allowed object is
     *     {@link TimeSeriesGraphOptions }
     *     
     */
    public void setTimeSeriesOptions(TimeSeriesGraphOptions value) {
        this.timeSeriesOptions = value;
    }

}
