
package gov.nasa.gsfc.spdf.ssc.client;

import jakarta.xml.bind.annotation.XmlEnum;
import jakarta.xml.bind.annotation.XmlType;


/**
 * <p>Java class for hemisphere.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * <pre>{@code
 * <simpleType name="hemisphere">
 *   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
 *     <enumeration value="SOUTH"/>
 *     <enumeration value="NORTH"/>
 *   </restriction>
 * </simpleType>
 * }</pre>
 * 
 */
@XmlType(name = "hemisphere")
@XmlEnum
public enum Hemisphere {

    SOUTH,
    NORTH;

    public String value() {
        return name();
    }

    public static Hemisphere fromValue(String v) {
        return valueOf(v);
    }

}
