
package gov.nasa.gsfc.spdf.ssc.client;

import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlType;


/**
 * <p>Java class for kmlRequest complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>{@code
 * <complexType name="kmlRequest">
 *   <complexContent>
 *     <extension base="{http://ssc.spdf.gsfc.nasa.gov/}request">
 *       <sequence>
 *         <element name="northBFieldTraceFootpoint" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
 *         <element name="southBFieldTraceFootpoint" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
 *         <element name="trajectory" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
 *       </sequence>
 *     </extension>
 *   </complexContent>
 * </complexType>
 * }</pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "kmlRequest", propOrder = {
    "northBFieldTraceFootpoint",
    "southBFieldTraceFootpoint",
    "trajectory"
})
public class KmlRequest
    extends Request
{

    protected boolean northBFieldTraceFootpoint;
    protected boolean southBFieldTraceFootpoint;
    protected boolean trajectory;

    /**
     * Gets the value of the northBFieldTraceFootpoint property.
     * 
     */
    public boolean isNorthBFieldTraceFootpoint() {
        return northBFieldTraceFootpoint;
    }

    /**
     * Sets the value of the northBFieldTraceFootpoint property.
     * 
     */
    public void setNorthBFieldTraceFootpoint(boolean value) {
        this.northBFieldTraceFootpoint = value;
    }

    /**
     * Gets the value of the southBFieldTraceFootpoint property.
     * 
     */
    public boolean isSouthBFieldTraceFootpoint() {
        return southBFieldTraceFootpoint;
    }

    /**
     * Sets the value of the southBFieldTraceFootpoint property.
     * 
     */
    public void setSouthBFieldTraceFootpoint(boolean value) {
        this.southBFieldTraceFootpoint = value;
    }

    /**
     * Gets the value of the trajectory property.
     * 
     */
    public boolean isTrajectory() {
        return trajectory;
    }

    /**
     * Sets the value of the trajectory property.
     * 
     */
    public void setTrajectory(boolean value) {
        this.trajectory = value;
    }

}
