
package gov.nasa.gsfc.spdf.ssc.client;

import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlType;


/**
 * <p>Java class for regionFilterOptions complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>{@code
 * <complexType name="regionFilterOptions">
 *   <complexContent>
 *     <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       <sequence>
 *         <element name="magneticTraceRegions" type="{http://ssc.spdf.gsfc.nasa.gov/}mappedRegionFilterOptions" minOccurs="0"/>
 *         <element name="radialTraceRegions" type="{http://ssc.spdf.gsfc.nasa.gov/}mappedRegionFilterOptions" minOccurs="0"/>
 *         <element name="spaceRegions" type="{http://ssc.spdf.gsfc.nasa.gov/}spaceRegionsFilterOptions" minOccurs="0"/>
 *       </sequence>
 *     </restriction>
 *   </complexContent>
 * </complexType>
 * }</pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "regionFilterOptions", propOrder = {
    "magneticTraceRegions",
    "radialTraceRegions",
    "spaceRegions"
})
public class RegionFilterOptions {

    protected MappedRegionFilterOptions magneticTraceRegions;
    protected MappedRegionFilterOptions radialTraceRegions;
    protected SpaceRegionsFilterOptions spaceRegions;

    /**
     * Gets the value of the magneticTraceRegions property.
     * 
     * @return
     *     possible object is
     *     {@link MappedRegionFilterOptions }
     *     
     */
    public MappedRegionFilterOptions getMagneticTraceRegions() {
        return magneticTraceRegions;
    }

    /**
     * Sets the value of the magneticTraceRegions property.
     * 
     * @param value
     *     allowed object is
     *     {@link MappedRegionFilterOptions }
     *     
     */
    public void setMagneticTraceRegions(MappedRegionFilterOptions value) {
        this.magneticTraceRegions = value;
    }

    /**
     * Gets the value of the radialTraceRegions property.
     * 
     * @return
     *     possible object is
     *     {@link MappedRegionFilterOptions }
     *     
     */
    public MappedRegionFilterOptions getRadialTraceRegions() {
        return radialTraceRegions;
    }

    /**
     * Sets the value of the radialTraceRegions property.
     * 
     * @param value
     *     allowed object is
     *     {@link MappedRegionFilterOptions }
     *     
     */
    public void setRadialTraceRegions(MappedRegionFilterOptions value) {
        this.radialTraceRegions = value;
    }

    /**
     * Gets the value of the spaceRegions property.
     * 
     * @return
     *     possible object is
     *     {@link SpaceRegionsFilterOptions }
     *     
     */
    public SpaceRegionsFilterOptions getSpaceRegions() {
        return spaceRegions;
    }

    /**
     * Sets the value of the spaceRegions property.
     * 
     * @param value
     *     allowed object is
     *     {@link SpaceRegionsFilterOptions }
     *     
     */
    public void setSpaceRegions(SpaceRegionsFilterOptions value) {
        this.spaceRegions = value;
    }

}
