
package gov.nasa.gsfc.spdf.ssc.client;

import java.util.ArrayList;
import java.util.List;
import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlSchemaType;
import jakarta.xml.bind.annotation.XmlSeeAlso;
import jakarta.xml.bind.annotation.XmlType;


/**
 * <p>Java class for result complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>{@code
 * <complexType name="result">
 *   <complexContent>
 *     <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       <sequence>
 *         <element name="statusCode" type="{http://ssc.spdf.gsfc.nasa.gov/}resultStatusCode" minOccurs="0"/>
 *         <element name="statusSubCode" type="{http://ssc.spdf.gsfc.nasa.gov/}resultStatusSubCode" minOccurs="0"/>
 *         <element name="statusText" type="{http://www.w3.org/2001/XMLSchema}string" maxOccurs="unbounded" minOccurs="0"/>
 *       </sequence>
 *     </restriction>
 *   </complexContent>
 * </complexType>
 * }</pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "result", propOrder = {
    "statusCode",
    "statusSubCode",
    "statusText"
})
@XmlSeeAlso({
    FileResult.class,
    DataResult.class
})
public class Result {

    @XmlSchemaType(name = "string")
    protected ResultStatusCode statusCode;
    @XmlSchemaType(name = "string")
    protected ResultStatusSubCode statusSubCode;
    @XmlElement(nillable = true)
    protected List<String> statusText;

    /**
     * Gets the value of the statusCode property.
     * 
     * @return
     *     possible object is
     *     {@link ResultStatusCode }
     *     
     */
    public ResultStatusCode getStatusCode() {
        return statusCode;
    }

    /**
     * Sets the value of the statusCode property.
     * 
     * @param value
     *     allowed object is
     *     {@link ResultStatusCode }
     *     
     */
    public void setStatusCode(ResultStatusCode value) {
        this.statusCode = value;
    }

    /**
     * Gets the value of the statusSubCode property.
     * 
     * @return
     *     possible object is
     *     {@link ResultStatusSubCode }
     *     
     */
    public ResultStatusSubCode getStatusSubCode() {
        return statusSubCode;
    }

    /**
     * Sets the value of the statusSubCode property.
     * 
     * @param value
     *     allowed object is
     *     {@link ResultStatusSubCode }
     *     
     */
    public void setStatusSubCode(ResultStatusSubCode value) {
        this.statusSubCode = value;
    }

    /**
     * Gets the value of the statusText property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the Jakarta XML Binding object.
     * This is why there is not a {@code set} method for the statusText property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getStatusText().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link String }
     * 
     * 
     * @return
     *     The value of the statusText property.
     */
    public List<String> getStatusText() {
        if (statusText == null) {
            statusText = new ArrayList<>();
        }
        return this.statusText;
    }

}
