
package gov.nasa.gsfc.spdf.ssc.client;

import jakarta.xml.bind.annotation.XmlEnum;
import jakarta.xml.bind.annotation.XmlType;


/**
 * <p>Java class for resultStatusSubCode.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * <pre>{@code
 * <simpleType name="resultStatusSubCode">
 *   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
 *     <enumeration value="SUCCESS"/>
 *     <enumeration value="MISSING_REQUEST"/>
 *     <enumeration value="MISSING_SATELLITES"/>
 *     <enumeration value="INVALID_BEGIN_TIME"/>
 *     <enumeration value="INVALID_END_TIME"/>
 *     <enumeration value="INVALID_SATELLITE"/>
 *     <enumeration value="INVALID_TIME_RANGE"/>
 *     <enumeration value="INVALID_RESOLUTION_FACTOR"/>
 *     <enumeration value="MISSING_OUTPUT_OPTIONS"/>
 *     <enumeration value="MISSING_COORD_OPTIONS"/>
 *     <enumeration value="MISSING_COORD_SYSTEM"/>
 *     <enumeration value="INVALID_COORD_SYSTEM"/>
 *     <enumeration value="MISSING_COORD_COMPONENT"/>
 *     <enumeration value="MISSING_GRAPH_OPTIONS"/>
 *     <enumeration value="MISSING_COORDINATE_SYSTEM"/>
 *     <enumeration value="MISSING_COORDINATE_COMPONENT"/>
 *     <enumeration value="SERVER_ERROR"/>
 *   </restriction>
 * </simpleType>
 * }</pre>
 * 
 */
@XmlType(name = "resultStatusSubCode")
@XmlEnum
public enum ResultStatusSubCode {

    SUCCESS,
    MISSING_REQUEST,
    MISSING_SATELLITES,
    INVALID_BEGIN_TIME,
    INVALID_END_TIME,
    INVALID_SATELLITE,
    INVALID_TIME_RANGE,
    INVALID_RESOLUTION_FACTOR,
    MISSING_OUTPUT_OPTIONS,
    MISSING_COORD_OPTIONS,
    MISSING_COORD_SYSTEM,
    INVALID_COORD_SYSTEM,
    MISSING_COORD_COMPONENT,
    MISSING_GRAPH_OPTIONS,
    MISSING_COORDINATE_SYSTEM,
    MISSING_COORDINATE_COMPONENT,
    SERVER_ERROR;

    public String value() {
        return name();
    }

    public static ResultStatusSubCode fromValue(String v) {
        return valueOf(v);
    }

}
