
package gov.nasa.gsfc.spdf.ssc.client;

import jakarta.xml.bind.annotation.XmlEnum;
import jakarta.xml.bind.annotation.XmlType;


/**
 * <p>Java class for trace.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * <pre>{@code
 * <simpleType name="trace">
 *   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
 *     <enumeration value="RADIAL"/>
 *     <enumeration value="B_FIELD_NORTH"/>
 *     <enumeration value="B_FIELD_SOUTH"/>
 *   </restriction>
 * </simpleType>
 * }</pre>
 * 
 */
@XmlType(name = "trace")
@XmlEnum
public enum Trace {

    RADIAL,
    B_FIELD_NORTH,
    B_FIELD_SOUTH;

    public String value() {
        return name();
    }

    public static Trace fromValue(String v) {
        return valueOf(v);
    }

}
