
package gov.nasa.gsfc.spdf.ssc.client;

import jakarta.xml.bind.annotation.XmlEnum;
import jakarta.xml.bind.annotation.XmlEnumValue;
import jakarta.xml.bind.annotation.XmlType;


/**
 * <p>Java class for coordinateSystem.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * <pre>{@code
 * <simpleType name="coordinateSystem">
 *   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
 *     <enumeration value="GEI_TOD"/>
 *     <enumeration value="GEI_J2000"/>
 *     <enumeration value="GEO"/>
 *     <enumeration value="GM"/>
 *     <enumeration value="GSE"/>
 *     <enumeration value="GSM"/>
 *     <enumeration value="SM"/>
 *   </restriction>
 * </simpleType>
 * }</pre>
 * 
 */
@XmlType(name = "coordinateSystem")
@XmlEnum
public enum CoordinateSystem {

    GEI_TOD("GEI_TOD"),
    @XmlEnumValue("GEI_J2000")
    GEI_J_2000("GEI_J2000"),
    GEO("GEO"),
    GM("GM"),
    GSE("GSE"),
    GSM("GSM"),
    SM("SM");
    private final String value;

    CoordinateSystem(String v) {
        value = v;
    }

    public String value() {
        return value;
    }

    public static CoordinateSystem fromValue(String v) {
        for (CoordinateSystem c: CoordinateSystem.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }

}
