
package gov.nasa.gsfc.spdf.ssc.client;

import java.util.ArrayList;
import java.util.List;
import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlType;


/**
 * <p>Java class for dataResult complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>{@code
 * <complexType name="dataResult">
 *   <complexContent>
 *     <extension base="{http://ssc.spdf.gsfc.nasa.gov/}result">
 *       <sequence>
 *         <element name="data" type="{http://ssc.spdf.gsfc.nasa.gov/}satelliteData" maxOccurs="unbounded" minOccurs="0"/>
 *       </sequence>
 *     </extension>
 *   </complexContent>
 * </complexType>
 * }</pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "dataResult", propOrder = {
    "data"
})
public class DataResult
    extends Result
{

    @XmlElement(nillable = true)
    protected List<SatelliteData> data;

    /**
     * Gets the value of the data property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the Jakarta XML Binding object.
     * This is why there is not a {@code set} method for the data property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getData().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link SatelliteData }
     * 
     * 
     * @return
     *     The value of the data property.
     */
    public List<SatelliteData> getData() {
        if (data == null) {
            data = new ArrayList<>();
        }
        return this.data;
    }

}
