
package gov.nasa.gsfc.spdf.ssc.client;

import jakarta.xml.bind.annotation.XmlEnum;
import jakarta.xml.bind.annotation.XmlEnumValue;
import jakarta.xml.bind.annotation.XmlType;


/**
 * <p>Java class for externalBFieldModel.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * <pre>{@code
 * <simpleType name="externalBFieldModel">
 *   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
 *     <enumeration value="T87"/>
 *     <enumeration value="T89c"/>
 *     <enumeration value="T96"/>
 *   </restriction>
 * </simpleType>
 * }</pre>
 * 
 */
@XmlType(name = "externalBFieldModel")
@XmlEnum
public enum ExternalBFieldModel {

    @XmlEnumValue("T87")
    T_87("T87"),
    @XmlEnumValue("T89c")
    T_89_C("T89c"),
    @XmlEnumValue("T96")
    T_96("T96");
    private final String value;

    ExternalBFieldModel(String v) {
        value = v;
    }

    public String value() {
        return value;
    }

    public static ExternalBFieldModel fromValue(String v) {
        for (ExternalBFieldModel c: ExternalBFieldModel.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }

}
