
package gov.nasa.gsfc.spdf.ssc.client;

import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlType;


/**
 * <p>Java class for graphFormatOptions complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>{@code
 * <complexType name="graphFormatOptions">
 *   <complexContent>
 *     <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       <sequence>
 *         <element name="charSize" type="{http://www.w3.org/2001/XMLSchema}float"/>
 *         <element name="customLabelOptions" type="{http://ssc.spdf.gsfc.nasa.gov/}graphLabelOptions" minOccurs="0"/>
 *         <element name="symbolSize" type="{http://www.w3.org/2001/XMLSchema}float"/>
 *       </sequence>
 *     </restriction>
 *   </complexContent>
 * </complexType>
 * }</pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "graphFormatOptions", propOrder = {
    "charSize",
    "customLabelOptions",
    "symbolSize"
})
public class GraphFormatOptions {

    protected float charSize;
    protected GraphLabelOptions customLabelOptions;
    protected float symbolSize;

    /**
     * Gets the value of the charSize property.
     * 
     */
    public float getCharSize() {
        return charSize;
    }

    /**
     * Sets the value of the charSize property.
     * 
     */
    public void setCharSize(float value) {
        this.charSize = value;
    }

    /**
     * Gets the value of the customLabelOptions property.
     * 
     * @return
     *     possible object is
     *     {@link GraphLabelOptions }
     *     
     */
    public GraphLabelOptions getCustomLabelOptions() {
        return customLabelOptions;
    }

    /**
     * Sets the value of the customLabelOptions property.
     * 
     * @param value
     *     allowed object is
     *     {@link GraphLabelOptions }
     *     
     */
    public void setCustomLabelOptions(GraphLabelOptions value) {
        this.customLabelOptions = value;
    }

    /**
     * Gets the value of the symbolSize property.
     * 
     */
    public float getSymbolSize() {
        return symbolSize;
    }

    /**
     * Sets the value of the symbolSize property.
     * 
     */
    public void setSymbolSize(float value) {
        this.symbolSize = value;
    }

}
