
package gov.nasa.gsfc.spdf.ssc.client;

import jakarta.xml.bind.annotation.XmlEnum;
import jakarta.xml.bind.annotation.XmlType;


/**
 * <p>Java class for latLonFormat.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * <pre>{@code
 * <simpleType name="latLonFormat">
 *   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
 *     <enumeration value="LAT_90_LON_360"/>
 *     <enumeration value="LAT_90_LON_180"/>
 *     <enumeration value="LAT_90_SN_LON_180_WE"/>
 *   </restriction>
 * </simpleType>
 * }</pre>
 * 
 */
@XmlType(name = "latLonFormat")
@XmlEnum
public enum LatLonFormat {

    LAT_90_LON_360,
    LAT_90_LON_180,
    LAT_90_SN_LON_180_WE;

    public String value() {
        return name();
    }

    public static LatLonFormat fromValue(String v) {
        return valueOf(v);
    }

}
