
package gov.nasa.gsfc.spdf.ssc.client;

import jakarta.xml.bind.annotation.XmlEnum;
import jakarta.xml.bind.annotation.XmlType;


/**
 * <p>Java class for mapProjection.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * <pre>{@code
 * <simpleType name="mapProjection">
 *   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
 *     <enumeration value="CYLINDRICAL"/>
 *     <enumeration value="MERCATOR"/>
 *     <enumeration value="MOLLEWEIDE"/>
 *     <enumeration value="STEREOGRAPHIC"/>
 *     <enumeration value="ORTHOGRAPHIC"/>
 *     <enumeration value="AZIMUTHAL"/>
 *   </restriction>
 * </simpleType>
 * }</pre>
 * 
 */
@XmlType(name = "mapProjection")
@XmlEnum
public enum MapProjection {

    CYLINDRICAL,
    MERCATOR,
    MOLLEWEIDE,
    STEREOGRAPHIC,
    ORTHOGRAPHIC,
    AZIMUTHAL;

    public String value() {
        return name();
    }

    public static MapProjection fromValue(String v) {
        return valueOf(v);
    }

}
