
package gov.nasa.gsfc.spdf.ssc.client;

import jakarta.xml.bind.annotation.XmlEnum;
import jakarta.xml.bind.annotation.XmlType;


/**
 * <p>Java class for polarMapOrientation.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * <pre>{@code
 * <simpleType name="polarMapOrientation">
 *   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
 *     <enumeration value="EQUATORIAL"/>
 *     <enumeration value="NORTH_POLE"/>
 *     <enumeration value="SOUTH_POLE"/>
 *   </restriction>
 * </simpleType>
 * }</pre>
 * 
 */
@XmlType(name = "polarMapOrientation")
@XmlEnum
public enum PolarMapOrientation {

    EQUATORIAL,
    NORTH_POLE,
    SOUTH_POLE;

    public String value() {
        return name();
    }

    public static PolarMapOrientation fromValue(String v) {
        return valueOf(v);
    }

}
