
package gov.nasa.gsfc.spdf.ssc.client;

import jakarta.xml.bind.annotation.XmlEnum;
import jakarta.xml.bind.annotation.XmlType;


/**
 * <p>Java class for projectionCoordinateSystem.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * <pre>{@code
 * <simpleType name="projectionCoordinateSystem">
 *   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
 *     <enumeration value="GEO"/>
 *     <enumeration value="GM"/>
 *     <enumeration value="SM"/>
 *   </restriction>
 * </simpleType>
 * }</pre>
 * 
 */
@XmlType(name = "projectionCoordinateSystem")
@XmlEnum
public enum ProjectionCoordinateSystem {

    GEO,
    GM,
    SM;

    public String value() {
        return name();
    }

    public static ProjectionCoordinateSystem fromValue(String v) {
        return valueOf(v);
    }

}
