
package gov.nasa.gsfc.spdf.ssc.client;

import jakarta.xml.bind.annotation.XmlEnum;
import jakarta.xml.bind.annotation.XmlType;


/**
 * <p>Java class for timeFormat.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * <pre>{@code
 * <simpleType name="timeFormat">
 *   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
 *     <enumeration value="HH_MM"/>
 *     <enumeration value="HH_MM_SS"/>
 *     <enumeration value="HH_HHHH"/>
 *   </restriction>
 * </simpleType>
 * }</pre>
 * 
 */
@XmlType(name = "timeFormat")
@XmlEnum
public enum TimeFormat {

    HH_MM,
    HH_MM_SS,
    HH_HHHH;

    public String value() {
        return name();
    }

    public static TimeFormat fromValue(String v) {
        return valueOf(v);
    }

}
